Page MenuHomePhabricator

Custom group on specific contribution types not working
Closed, ResolvedPublic1 Story Points

Description

See https://civicrm.frdev.wikimedia.org/civicrm/admin/custom/group?action=update&reset=1&id=9

The Gift Information fields, including Batch Number, should only display for Engage and some other contribution types. This doesn't work, the fields don't appear when editing a new Engage contribution.

Event Timeline

awight created this task.Oct 26 2015, 10:39 PM
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)

This was fixed by opening and saving the groups that had type restrictions. We should TODO write a general fix, but in this case we'll just open and save each of the 3 affected custom groups, after the schema migration is complete.

awight claimed this task.Oct 27 2015, 3:57 PM
awight set Security to None.
awight added a comment.Nov 3 2015, 7:45 PM

Yeeesh, I had to open and save the Gift Information custom group *again*. This might regress again in the future.

awight edited a custom field.Nov 4 2015, 11:53 PM
atgo closed this task as Resolved.Dec 2 2015, 8:58 PM

Resolving since it was marked as "done" in the last sprint. Please reopen if needed.

mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM